## org.apache.mahout.math.hadoop.stats
Class VarianceTotals

    java.lang.Object
      org.apache.mahout.math.hadoop.stats.VarianceTotals

    public final class VarianceTotals

extends Object

Holds the total values needed to compute mean and standard deviation Provides methods for their computation

Constructor Summary
`VarianceTotals()`

Method Summary
`double` `computeMean()`
`double` `computeVariance()`
`double` `computeVarianceForGivenMean(double mean)`
`double` `getSum()`
`double` `getSumOfSquares()`
`double` `getTotalCount()`
`void` `setSum(double sum)`
`void` `setSumOfSquares(double sumOfSquares)`
`void` `setTotalCount(double totalCount)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VarianceTotals

    public VarianceTotals()

Method Detail

### getSumOfSquares

    public double getSumOfSquares()

### setSumOfSquares

    public void setSumOfSquares(double sumOfSquares)

### getSum

    public double getSum()

### setSum

    public void setSum(double sum)

### getTotalCount

    public double getTotalCount()

### setTotalCount

    public void setTotalCount(double totalCount)

### computeMean

    public double computeMean()

### computeVariance

    public double computeVariance()

### computeVarianceForGivenMean

    public double computeVarianceForGivenMean(double mean)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.